Loading...
Searching...
No Matches
CShieldedAutoRegenObject Class Referenceabstract

Interface for shielded objects with auto regeneration. More...

`#include <src/object/interface/shielded_auto_regen_object.h>`

Inheritance diagram for CShieldedAutoRegenObject:
[legend]

## Public Member Functions

| CShieldedAutoRegenObject (ObjectInterfaceTypes &types)
virtual float | GetShieldFullRegenTime ()=0
| Return time (in seconds) required for full shield regeneration.
Public Member Functions inherited from CShieldedObject
| CShieldedObject (ObjectInterfaceTypes &types)
virtual void | SetShield (float level)=0
| Set shield level.
virtual float | GetShield ()=0
| Get shield level.
virtual void | SetMagnifyDamage (float factor)=0
| Set damage multiplier for the object (bigger = more damage, weaker shield).
virtual float | GetMagnifyDamage ()=0
| Return damage multiplier for the object (bigger = more damage, weaker shield).
virtual bool | IsRepairable ()=0
| Returns true if this object can be repaired in RepairStation.
Public Member Functions inherited from CDestroyableObject
| CDestroyableObject (ObjectInterfaceTypes &types)
virtual void | DestroyObject (DestructionType type, CObject *killer=nullptr)=0
| Destroy the object immediately. Use this only if you are 100% sure this is what you want, because object with magnifyDamage=0 should be able to bypass all damage. It's recommended to use CDamageableObject::DamageObject() instead.
virtual float | GetLightningHitProbability ()=0
| Returns the distance modifier for CLightning, used to modify hit probability. Value in range [0..1], where 0 is never and 1 is normal probability.
virtual void | SetDying (DeathType deathType)=0
| Set the status that means the object is currently dying.
virtual DeathType | GetDying ()=0
| Return object death type.
virtual bool | IsDying ()=0
| Is object currently dying?
Public Member Functions inherited from CDamageableObject
| CDamageableObject (ObjectInterfaceTypes &types)
virtual bool | DamageObject (DamageType type, float force=std::numeric_limits< float >::infinity(), CObject *killer=nullptr)=0
| Damage the object, with the given force. Returns true if the object has been fully destroyed (assuming the object is destroyable, of course). If force == infinity, destroy immediately (this is the default value).
virtual void | SetDamaging (bool damaging)=0
| Set the status that means the object is currently taking damage.
virtual bool | IsDamaging ()=0
| Is object currently taking damage?

## Detailed Description

Interface for shielded objects with auto regeneration.

## Member Function Documentation

## GetShieldFullRegenTime()

virtual float CShieldedAutoRegenObject::GetShieldFullRegenTime | ( |  | ) |

pure virtual

Return time (in seconds) required for full shield regeneration.

Implemented in COldObject.

The documentation for this class was generated from the following file:

- src/object/interface/shielded_auto_regen_object.h